## Mattermost

Ce service utilise la chaîne d'intégration.

### Introduction

Ce dossier contient une adaptation minimaliste du [Dockerfile officiel](https://github.com/mattermost/mattermost-docker) de Mattermost.

L'idée de garder une copie du Dockerfile sur ce dépôt est motivée par trois choses :
* Aucune image n'est disponible **officiellement** sur le Docker Hub, même s'il en existe
* En cas de problèmes de sécurité (CVE), on pourra directement agir dessus
* On peut changer les arguments du Dockerfile, comme le type d'instance (`team`) et l'UID de l'utilisateur (à retrouver sur le LDAP).

Aussi, on n'utilise pas le système de sauvegarde `WAL-e`, ce qui nous permet d'utiliser une image `postgres` de base plutôt que de rajouter la couche proposée par l'équipe Mattermost.

Enfin, le Docker Compose est adapté à notre configuration.

### Procédure de mise à jour

Il suffit de changer l'argument correspondant à la version dans le `Dockerfile` ainsi que le tag d'image dans le `docker-compose.yml`. Régulièrement, on vérifiera l'upstream pour s'assurer qu'il n'y a pas de changements majeurs, auxquel cas on les intègrera dans le `Dockerfile` local.

Ce n'est pas le plus pratique, mais ni la CI ni Docker ne permet de reprendre un `Dockerfile` distant et d'y intégrer des modifications.
